<?xml version="1.0" encoding="utf-8"?>
<!--

    Name: PurchaseOrder.wsdl
-->
		
<definitions xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:specwsbpo="org:spec:jent:ws:supplier:PurchaseOrder" xmlns:specwsb="org:spec:jent:ws:supplier"  targetNamespace="org:spec:jent:ws:supplier">
        <types>
                <xs:schema elementFormDefault="qualified" targetNamespace="org:spec:jent:ws:supplier:PurchaseOrder">
                        <xs:include schemaLocation="SimplePurchaseOrder.xsd"/>
                </xs:schema>
        </types>
        <message name="PurchaseOrder">
                <part name="Message" element="specwsbpo:InlinePurchaseOrder"/>
        </message>
        <message name="PurchaseOrderAttach">
                <part name="Message" element="specwsbpo:PurchaseOrderAttachment"/>
        </message>
        <portType name="SupplierPortType">
                <operation name="ProcessPurchaseOrder">
                        <input message="specwsb:PurchaseOrder"/>
                </operation>
                <operation name="ProcessPurchaseOrderAttach">
                        <input message="specwsb:PurchaseOrderAttach"/>
                </operation>
        </portType>
        <binding name="SupplierBinding" type="specwsb:SupplierPortType">
                <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
                <operation name="ProcessPurchaseOrder">
                        <soap:operation soapAction="processPurchaseOrder" style="document"/>
                        <input>
                                <soap:body use="literal"/>
                        </input>
                </operation>
                <operation name="ProcessPurchaseOrderAttach">
                        <soap:operation soapAction="processPurchaseOrderAttach" style="document"/>
                        <input>
                                <soap:body use="literal"/>
                        </input>
                </operation>

        </binding>
        <service name="SupplierService">
                <port name="SupplierBinding" binding="specwsb:SupplierBinding">
                        <soap:address location="REPLACE_WITH_ACTUAL_URL"/>
                </port>
        </service>
</definitions>
